;;; buttons.fnl --- Client buttons

;;; Code:

(var buttons {})

(local awful (require :awful))
(local gears (require :gears))

(local button (. (require :lib.keys) :button))

(gears.table.join
 (button [] 1 (lambda [c] (set client.focus c) (: c :raise)))
 (button [:mod] 1 awful.mouse.client.move)
 (button [:mod] 3 awful.mouse.client.resize))

;;; buttons.fnl ends here
